Debian Bug report logs - #305829
MySQL does not support IPv6

version graph

Package: mysql-server; Maintainer for mysql-server is Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>; Source for mysql-server is src:mysql-5.5.

Reported by: "Wesley W. Terpstra" <wesley@terpstra.ca>

Date: Fri, 22 Apr 2005 11:18:02 UTC

Severity: wishlist

Tags: confirmed, ipv6, upstream

Merged with 446550

Found in version mysql-dfsg/4.0.24-2

Done: Nicholas Bamber <nicholas@periapt.co.uk>

Bug is archived. No further changes may be made.

Forwarded to http://bugs.mysql.com/10093

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Christian Hammers <ch@debian.org>:
Bug#305829; Package mysql-server. Full text and rfc822 format available.

Acknowledgement sent to "Wesley W. Terpstra" <wesley@terpstra.ca>:
New Bug report received and forwarded. Copy sent to Christian Hammers <ch@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Wesley W. Terpstra" <wesley@terpstra.ca>
To: submit@bugs.debian.org
Subject: MySQL does not support IPv6
Date: Fri, 22 Apr 2005 13:05:46 +0200
Subject: MySQL does not support IPv6
Package: mysql-server
Version: 4.0.24-2
Severity: wishlist

AFAICT, there's no way to run mysql-server on a ipv6 port.

There are some patches available here:
	<http://www.ngn.euro6ix.org/IPv6/mysql/>
... but I can't vouch for them.

Is there no IPv6 support upstream? It seems odd that such an important
open-source server is not ported yet.

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (900, 'testing'), (800, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.10-1-k7
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages mysql-server depends on:
ii  adduser          3.63                    Add and remove users and groups
ii  debconf          1.4.30.13               Debian configuration management sy
ii  gawk             1:3.1.4-2               GNU awk, a pattern scanning and pr
ii  libc6            2.3.2.ds1-21            GNU C Library: Shared libraries an
ii  libdbi-perl      1.46-6                  Perl5 database interface by Tim Bu
ii  libmysqlclient12 4.0.24-2                mysql database client library
ii  libstdc++5       1:3.3.5-8               The GNU Standard C++ Library v3
ii  libwrap0         7.6.dbs-8               Wietse Venema's TCP wrappers libra
ii  mailx            1:8.1.2-0.20040524cvs-4 A simple mail user agent
ii  mysql-client     4.0.24-2                mysql database client binaries
ii  mysql-common     4.0.24-2                mysql database common files (e.g. 
ii  passwd           1:4.0.3-31sarge1        change and administer password and
ii  perl             5.8.4-8                 Larry Wall's Practical Extraction 
ii  psmisc           21.5-1                  Utilities that use the proc filesy
ii  zlib1g           1:1.2.2-3               compression library - runtime

-- debconf information:
  mysql-server/really_downgrade_from_41: false
* mysql-server/start_on_boot: true
  mysql-server/postrm_remove_databases: false
* mysql-server/mysql_install_db_notes:
  mysql-server/nis_warning:
  mysql-server/mysql_update_hints1:



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#305829; Package mysql-server. Full text and rfc822 format available.

Acknowledgement sent to Christian Hammers <ch@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 305829@bugs.debian.org (full text, mbox):

From: Christian Hammers <ch@debian.org>
To: "Wesley W. Terpstra" <wesley@terpstra.ca>, 305829@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#305829: MySQL does not support IPv6
Date: Fri, 22 Apr 2005 14:07:23 +0200
[Message part 1 (text/plain, inline)]
forwarded 305829 http://bugs.mysql.com/10093
tags 305829 + upstream confirmed
thanks

On 2005-04-22 Wesley W. Terpstra wrote:
> Is there no IPv6 support upstream? It seems odd that such an important
> open-source server is not ported yet.

AFAIK no. I opened a bug reported at MySQL regarding this issue.

bye,

-christian-
[Message part 2 (application/pgp-signature, inline)]

Noted your statement that Bug has been forwarded to http://bugs.mysql.com/10093. Request was from Christian Hammers <ch@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream, confirmed Request was from Christian Hammers <ch@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: ipv6 Request was from Simon Paillard <simon.paillard@resel.enst-bretagne.fr> to control@bugs.debian.org. (Sun, 04 Jan 2009 16:36:04 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'wishlist' Request was from Clint Adams <schizo@debian.org> to control@bugs.debian.org. (Tue, 23 Mar 2010 01:04:08 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'serious' Request was from Gerfried Fuchs <rhonda@deb.at> to control@bugs.debian.org. (Tue, 23 Mar 2010 08:31:12 GMT) Full text and rfc822 format available.

Marked as found in versions mysql-dfsg/4.0.24-2; no longer marked as found in versions 4.0.24-2. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Tue, 10 Apr 2012 19:51:03 GMT) Full text and rfc822 format available.

Merged 305829 446550 Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Tue, 10 Apr 2012 20:03:04 GMT) Full text and rfc822 format available.

Reply sent to Nicholas Bamber <nicholas@periapt.co.uk>:
You have taken responsibility. (Mon, 20 Aug 2012 19:45:13 GMT) Full text and rfc822 format available.

Notification sent to "Wesley W. Terpstra" <wesley@terpstra.ca>:
Bug acknowledged by developer. (Mon, 20 Aug 2012 19:45:13 GMT) Full text and rfc822 format available.

Message #29 received at 305829-done@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: 305829-done@bugs.debian.org
Subject: done
Date: Mon, 20 Aug 2012 20:41:57 +0100
fixed in 5.5  but documented poorly



Reply sent to Nicholas Bamber <nicholas@periapt.co.uk>:
You have taken responsibility. (Mon, 20 Aug 2012 19:45:13 GMT) Full text and rfc822 format available.

Notification sent to Steve Langasek <vorlon@debian.org>:
Bug acknowledged by developer. (Mon, 20 Aug 2012 19:45:13 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 21 Sep 2012 07:31:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:58:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.